Build issue with PyQt 4.12.3 and Qt 5.11.3

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Build issue with PyQt 4.12.3 and Qt 5.11.3

Rakesh Singhal
Hi all,

I have installed Qt 5.11.3 and sip. Downloaded PyQt 4.12.3 and ran command to configure. We are using commercial license for PyQt. Got following error during make:

/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/clang++ -c -pipe -stdlib=libc++ -fno-exceptions -O2 -std=gnu++11  -arch x86_64 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk -mmacosx-version-min=10.11 -Wall -W -fPIC -DQT_DISABLE_DEPRECATED_BEFORE=0x04ffff -DSIP_PROTECTED_IS_PUBLIC -Dprotected=public -DQT_NO_DEBUG -DQT_PLUGIN -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_TESTLIB_LIB -DQT_CORE_LIB -DQT_TESTCASE_BUILDDIR='"/Users/rakesh/Downloads/PyQt4_commercial_mac-4.12.3/QtTest"' -I. -I. -I/opt/local/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -I/opt/local/Qt-5.11.3/lib/QtWidgets.framework/Headers -I/opt/local/Qt-5.11.3/lib/QtGui.framework/Headers -I/opt/local/Qt-5.11.3/lib/QtTest.framework/Headers -I/opt/local/Qt-5.11.3/lib/QtCore.framework/Headers -I. -I/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/Frameworks/OpenGL.framework/Headers -I/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/System/Library/Frameworks/AGL.framework/Headers -I/opt/local/Qt-5.11.3/mkspecs/macx-clang -F/opt/local/Qt-5.11.3/lib -o sipQtTestQTest.o sipQtTestQTest.cpp
/Users/rakesh/Downloads/PyQt4_commercial_mac-4.12.3/QtTest/sipQtTestQTest.cpp:190:23: error: no member named 'waitForEvents' in namespace
      'QTest'
             ::QTest::waitForEvents();
             ~~~~~~~~~^
1 error generated.
make[1]: *** [sipQtTestQTest.o] Error 1
make: *** [sub-QtTest-make_first-ordered] Error 2

Are these versions of PyQt4 and Qt are compatible?
Which version of Qt and PyQt I should use to make it work?

Thanks and regards,
Rakesh Singhal

This message contains confidential information and is intended only for the individual to whom it is addressed. If you are not the intended recipient, you should not disseminate, distribute or copy this e-mail. Please notify the sender immediately by e-mail if you have received this e-mail by mistake and permanently delete this e-mail from your system. E-mail transmission cannot be guaranteed to be secure or error-free as information could be intercepted, corrupted, lost, destroyed, late or incomplete, or could contain viruses. The sender therefore does not accept liability for any errors or omissions in the contents of this message, which arise as a result of e-mail transmission. If verification is required, please request a hard-copy version from the sender. Druva, www.druva.com

This message contains confidential information and is intended only for the individual to whom it is addressed. If you are not the intended recipient, you should not disseminate, distribute or copy this e-mail. Please notify the sender immediately by e-mail if you have received this e-mail by mistake and permanently delete this e-mail from your system. E-mail transmission cannot be guaranteed to be secure or error-free as information could be intercepted, corrupted, lost, destroyed, late or incomplete, or could contain viruses. The sender therefore does not accept liability for any errors or omissions in the contents of this message, which arise as a result of e-mail transmission. If verification is required, please request a hard-copy version from the sender. Druva, www.druva.com


_______________________________________________
PyQt mailing list    [hidden email]
https://www.riverbankcomputing.com/mailman/listinfo/pyqt